#COPYRIGHT 2014 ESRI
#
#TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL
#Unpublished material - all rights reserved under the
#Copyright Laws of the United States.
#
#For additional information, contact:
#Environmental Systems Research Institute, Inc.
#Attn: Contracts Dept
#380 New York Street
#Redlands, California, USA 92373
#
#email: contracts@esri.com
"""Provides a set of tools used to convert data to formats optimized and ready for use within ArcGIS Mobile applications."""
__all__ = ['CreateMobileBasemap', 'GenerateMobileServiceCache']
__alias__ = 'mobile'
from arcpy.geoprocessing._base import gptooldoc, gp, gp_fixargs, gptoolnotsupported
from arcpy.arcobjects.arcobjectconversion import convertArcObjectToPythonObject

# Tools
@gptoolnotsupported
@gptooldoc('CreateMobileBasemap_mobile', None)
def CreateMobileBasemap():
    """CreateMobileBasemap_mobile()"""
    try:
        retval = convertArcObjectToPythonObject(gp.CreateMobileBasemap_mobile(*gp_fixargs((), True)))
        return retval
    except Exception as e:
        raise e

@gptoolnotsupported
@gptooldoc('GenerateMobileServiceCache_mobile', None)
def GenerateMobileServiceCache():
    """GenerateMobileServiceCache_mobile()"""
    try:
        retval = convertArcObjectToPythonObject(gp.GenerateMobileServiceCache_mobile(*gp_fixargs((), True)))
        return retval
    except Exception as e:
        raise e

